libpano13 (2.9.22~rc2+dfsg-1) unstable; urgency=low

  * New upstream version.
    + Drop cherry-picked patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Aug 2023 18:19:02 +0200

libpano13 (2.9.21+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  *  Apply multi-arch hints:
     + libpano13-dev: Add Multi-Arch: same.

  [ Andreas Metzler ]
  * 917_da06997f4c2f_Include__arpa_inet_h__if_it_is_available__for_the_htons_function_macro.diff
    from upstream HG: C99 compatibility fix by Florian Weimer.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Jan 2023 08:03:47 +0100

libpano13 (2.9.21+dfsg-2) unstable; urgency=high

  * Upload to unstable.
  * Add CVE-reference to previous changelog entry.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 21 Mar 2022 18:24:48 +0100

libpano13 (2.9.21+dfsg-1) experimental; urgency=medium

  * Run wrap-and-sort -ast.
  * New upstream version, fixes CVE-2021-33293.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 31 Dec 2021 13:03:37 +0100

libpano13 (2.9.21~rc2+dfsg-1) experimental; urgency=medium

  * New upstream version.
   + Drop patches. (All were pulled from upstream HG)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Dec 2021 16:24:48 +0100

libpano13 (2.9.21~rc1+dfsg-2) experimental; urgency=medium

  * 10_8_84b6a82c8afc_Fix_for_bigendian_architectures__Thomas_Modes_.diff
    fixes testsuite error on big endian.
  * 20_pkgconfig_multiarch.diff applied upstream, renamed.
  * 10_7_4d12cc78cc80_Fix_support_for_lib_lib64_installation_dirs.diff - Use
    include(GNUInstallDirs)

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Nov 2021 18:18:39 +0100

libpano13 (2.9.21~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
    + autoconf build system was dropped, switch to cmake build. (Add b-d,
      update dh_auto_configure override, drop dh_autoreconf override.)
    + Install additional documentation, list uninstalled files to make
      dh_missing happy.
    + Update symbol file.
    + Build fixes from upstream HG:
      10_1_af97aa936771_Fixes_generation_of_libpano13_pc_file.diff
      10_2_343847e37b1f_Remove_Windows_rc_files_from_file_list_for_Unix.diff
      10_3_2822f00918bc_Install_tools_in_all_configurations.diff
      10_4_b6aef04b6318_Let_CMake_for_itself_figure_out_the_lib_directory.diff
      10_5_1b0e1a205121_Check_if_linking_against_libm_is_needed.diff.
    + 20_pkgconfig_multiarch.diff Fix pkg-config file contents and location.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Oct 2021 13:53:00 +0200

libpano13 (2.9.20~rc3+dfsg-1) unstable; urgency=high

  * New upstream version.
    + Drop cherrypicked patches.
    + Fixes format string bug. Closes: #985249

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Mar 2021 17:30:22 +0100

libpano13 (2.9.20~rc2+dfsg-3) unstable; urgency=low

  * Update to upstream HG tip.
    + Replace 20_typo_fixes.diff with
      1_845_Fixes_2_typos__Patch_by_Andreas_Metzler_.diff.
  * Upload to unstable.
  * Use dh v13 compat mode.
    + Drop superfluous dh_missing override.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Dec 2020 13:25:42 +0100

libpano13 (2.9.20~rc2+dfsg-2) experimental; urgency=low

  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * Use DEP-5 copyright.
  * Update watchfile, drop get-orig-source target.
  * Use dh 12 compat.
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jul 2019 14:09:58 +0200

libpano13 (2.9.20~rc2+dfsg-1) experimental; urgency=low

  * Set Rules-Requires-Root: no.
  * New upstream version.
  * 20_typo_fixes.diff: Fix two typos found by lintian.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Sep 2018 11:33:55 +0200

libpano13 (2.9.20~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
    + Also accepts *.jpeg as valid filename. Closes: #501237
  * [lintian] Fix trailing whitespace in debian/changelog.
  * Point Vcs* to salsa.
  * Use dh_missing.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Mar 2018 19:16:48 +0200

libpano13 (2.9.19+dfsg-3) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Build with hardening=+all.
  * For get-orig-source use /usr/share/dpkg/pkg-info.mk instead of parsing
    dpkg-parsechangelog output.
  * Use debhelper v10 mode:
    + Uses autoreconf by default, drop -with autotools_dev and the respective
      b-d.
    + Drop 10_workaround_libtool_link_as_needed_bug and pass option
      --as-needed to dh_autoreconf instead.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Sep 2017 14:39:18 +0200

libpano13 (2.9.19+dfsg-2) unstable; urgency=medium

  * B-d on libpng-dev instead of libpng12-dev. Closes: #662407

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Jan 2016 17:45:05 +0100

libpano13 (2.9.19+dfsg-1) unstable; urgency=medium

  * New upstream stable release, identical to rc1.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jun 2014 13:38:05 +0200

libpano13 (2.9.19~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 May 2014 13:28:13 +0200

libpano13 (2.9.19~rc1+dfsg-1) experimental; urgency=medium

  * Fix get-orig-source to handle rc/beta tarballs and switch over to xz
    compression.
  * New Upstream version.
    + Unfuzz 10_workaround_libtool_link_as_needed_bug.
    + Drop 20_initfilenameargs.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 24 Apr 2014 20:11:31 +0200

libpano13 (2.9.19~beta1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Feb 2014 15:22:54 +0100

libpano13 (2.9.19~beta1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Soname bumped, change runtime library package name.
  * Point vcs-* to anonscm.
  * Drop superfluous Breaks/Replaces with buggy libpano13-1 in PPA.
  * Build depend on libtiff-dev instead of libtiff4-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Dec 2013 14:49:54 +0100

libpano13 (2.9.18+dfsg-6) unstable; urgency=low

  * Switch from cdbs to dh (v9). We now append to default LDFLAGS instead of
    overriding them.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 May 2013 15:34:03 +0200

libpano13 (2.9.18+dfsg-5) unstable; urgency=low

  * Source upload with no changes to fix multi-arch co-installability broken
    by binNMUs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Apr 2013 08:55:24 +0200

libpano13 (2.9.18+dfsg-4) unstable; urgency=low

  * Convert to multi-arch.
    + configure with --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH), update
      chrpath invocation and debian/*.install accordingly.
    + Bump cdbs Build-Depends to 0.4.93 (required for expanding
      $(DEB_HOST_MULTIARCH)).
    + Bump debhelper b-d to 8.1.3 (for ${misc:Pre-Depends}).
    + Runtime library is Multi-Arch: same and has Pre-Depends:
      ${misc:Pre-Depends}, -bin (helper binaries) is
      Multi-Arch: foreign. -dev is unchanged.
    + [lintian] Drop section setting from libpano13-2 package stanza.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Feb 2012 11:18:42 +0100

libpano13 (2.9.18+dfsg-3) unstable; urgency=low

  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #634142

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2011 14:16:50 +0200

libpano13 (2.9.18+dfsg-2) unstable; urgency=low

  * libpano13-2 now Breaks/Replaces: libpano13-1 (>= 2.9.15~beta2-1). This
    fixes cross-upgrades from the (slightly broken) packages in hugin PPA.
    (LP: #761760)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 May 2011 14:46:00 +0200

libpano13 (2.9.18+dfsg-1) unstable; urgency=low

  * New upstream version, identical to 2.9.18~rc2.
  * Drop CFLAGS += -Wall again, it is set by default.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 May 2011 14:17:45 +0200

libpano13 (2.9.18~rc2+dfsg-2) experimental; urgency=low

  * 20_initfilenameargs.diff Fix sporadic ftbfs.
    https://bugs.launchpad.net/panotools/+bug/734867

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Mar 2011 14:34:57 +0100

libpano13 (2.9.18~rc2+dfsg-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Mar 2011 19:09:57 +0100

libpano13 (2.9.18~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Update 10_workaround_libtool_link_as_needed_bug for libtool 2.2.6b.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Mar 2011 10:17:13 +0100

libpano13 (2.9.18~beta1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Drop patches included uptream. (20_fixpowerc.diff 21_ftbfsgnuhurd.diff)
  * Set CFLAGS += -Wall, the latest combination of cdbs + dpkg-dev does not
    seem to set it by default.
  * Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Feb 2011 16:04:50 +0100

libpano13 (2.9.17+dfsg-4) unstable; urgency=low

  * Remove Florent Bayle from Uploaders. Thank you for your work.
    Closes: #554063
  * Also drop Cyril Brulebois from Uploaders. Thank you very much for your
    efforts.
  * Use debhelper compatibility level 7.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Feb 2011 18:24:30 +0100

libpano13 (2.9.17+dfsg-3) experimental; urgency=low

  * 21_ftbfsgnuhurd.diff: Fix FTBFS on GNU/hurd.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 26 Oct 2010 19:34:56 +0200

libpano13 (2.9.17+dfsg-2) experimental; urgency=low

  * 20_fixpowerc.diff: Fix endless loop on PowerPC of commandline utils (used
    in testsuite). Closes: #599092

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Oct 2010 19:07:52 +0200

libpano13 (2.9.17+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Reintroduce support for dropping files to debian/rules' get-orig-source
    target.
  * Drop Visual C++ files from tarball, use +dfsg versioning.
  * Change shlibs to the normal >= relation again, since this is a stable
    release.
  * Standards-Version: 3.9.1.
  * Strip down libpano13 package description. Closes: #594596

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Oct 2010 08:59:48 +0200

libpano13 (2.9.17~beta2-1) experimental; urgency=low

  * New upstream version.
  * Drop 20_bumpsoname.diff.
  * Bump shlibs.
  * Switch to dpkg-source v3.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Jul 2010 08:24:39 +0200

libpano13 (2.9.15~beta2-1) experimental; urgency=low

  * New upstream version.
  * Drop patches applied upstream:
    + 20_libpano13+kbsd.diff
    + 30_undo_soname.bump
  * 20_bumpsoname.diff: Bump soname, now that the ABI really has changed.
  * Change library packagename to match soname.
  * Tighten libpano13-2 shlibs file to exactly match upstream version while
    still preserving binNMU-ability. Upstream might break the ABI another time
    without wanting to change the soname again before 2.9.15 is finally
    released. This tight dependency should be removed after the final release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 Sep 2009 15:20:46 +0200

libpano13 (2.9.15~beta1-1) experimental; urgency=low

  * New upstream pre-release.
    + debian/patches/30_undo_soname.bump - Undo unnecessary soname change.
    + Bump shlibs. (Newly added function.)
    + Ship newly available pkgconfig file.
  * Run upstream testsuite. Since it requires tiffcmp add libtiff-tools to
    build-depends. The upstream tarball is incomplete, it is missing some
    reference files for the testsuite. Pull them from upstream SVN and add
    them to the (repackaged) tarball.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Sep 2009 10:29:22 +0200

libpano13 (2.9.14-3) unstable; urgency=medium

  * 20_fixpowerc.diff: Fix endless loop of commandline utils on PowerPC (used
    in testsuite). Closes: #599092

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Oct 2010 19:35:23 +0200

libpano13 (2.9.14-2) unstable; urgency=low

  * Stop shipping la file in -dev package. (Squeeze release goal).
  * debian/patches/20_libpano13+kbsd.diff - Fix FTBFS on GNU/kFreeBSD. Patch
    by Cyril Brulebois. Closes: #543998

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Aug 2009 14:36:20 +0200

libpano13 (2.9.14-1) unstable; urgency=low

  * Upload to unstable.
  * [Lintian] Fix typo in debian control: s/algorithmical/algorithmic/.
  * Standards-Version: 3.8.2, no changes required.
  * Improve on watchfile to handle rc and beta versions.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Aug 2009 14:01:24 +0200

libpano13 (2.9.14~rc1-1) experimental; urgency=low

  * New upstream prerelease.
    + New soname due to ABI breakage (new member in public struct). Change
      package name of library package.
    + Does not contain non-free files PixMap.c PixMap.h, no need for .dfsg
      version anymore. Also does away with the need for a complex
      get-orig-source
      target.
    + debian/manpages/* now shipped in upstream-tarball. Adapt build-system
      accordingly.
  * [lintian] Add ${misc:Depends}.
  * Standards version 3.8.1.
    + [debian/control] Add Homepage field.
    + Add rudimentary debian/README.source, basically pointing to quilt
      documentation.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 May 2009 19:56:34 +0200

libpano13 (2.9.12.dfsg-2) unstable; urgency=low

  * Drop Java support altogether (Closes: #477884). While checking that
    bugreport, it appeared that “HasJava” is only used in a single source
    file, which happens to be commented out.
     - debian/control: Drop libgcj-dev from Build-Depends.
     - debian/rules: Turn “--with-java” into “--without-java”.
     - debian/rules: Not bumping shlibs since no symbols changed (as
       expected given the above explanation).
  * Update my mail address in Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 26 Apr 2008 12:29:49 +0200

libpano13 (2.9.12.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #433261), based on libpano12/2.8.6-0.1.
  * Repack because of the license of PixMap.{c,h}. These files seem to be
    needed only on Mac anyway:
     - Add a get-orig-source target to debian/rules.
     - Add version mangling to debian/watch.
  * The following glitches have been forwarded upstream so that these
    files will get proper copyright and license statements in further
    releases:
     - Copyright years are missing for jpegicc.{c,h}.
     - Copyright and license are missing for f2c.h. This file is available
       in the libf2c2 source package, and its copyright file has been used
       to complete this one.
     - Copyright and license are missing for rgbe.{c,h}. These files are
       available in the enblend source package, and its copyright file has
       been used to complete this one. The copyright by Bruce Walter is
       the original copyright notice, these files are now public domain.
  * Move from libpano12 to libpano13:
     - Update debian/copyright.
     - Update debian/watch, get rid of “debian uupdate”.
     - Update package names in debian/control, and clear the following
       fields: Provides, Conflicts, Replaces.
     - Add  “Conflicts: libpano12-bin” and “Replaces: libpano12-bin” to
       libpano13-bin.
     - Rename debian/libpano12* into debian/libpano13*.
     - Update debian/libpano13-bin.install:
        - Rename pano12info into panoinfo.
        - Rename PTOptimizer into PToptimizer.
     - Update debian/libpano13-bin.manpages accordingly.
     - Rename the manpages accordingly.
     - Update debian/manpages/panoinfo.1.
     - Update debian/manpages/PToptimizer.1.
  * debian/rules adjustments:
     - Delete unneeded variable declarations (major, version).
     - Delete useless comments.
     - Delete trailing spaces.
  * Move Maintainer to the pkg-phototools team, add Florent Bayle and
    myself to Uploaders.
  * Bump Standards-Version to 3.7.3 (no change needed).
  * Add Vcs-Git and Vcs-Browser. Note that both libpano12 and libpano13
    are maintained within the same libpano.git repository.
  * Bump debhelper compatibility from 4 to 5. Changes needed:
     - Remove “usr/lib/pkgconfig/*” from debian/libpano13-dev.install
       since “--fail-missing” is now the default behaviour of dh_install.
  * Use “LDFLAGS="-Wl,--as-needed"” on the ./configure line to avoid extra
    linking.
  * To achieve that, it is needed to patch config/ltmain.sh (libtool)
    because of very long-standing (and will-be-very-long-standing) libtool
    bug, see #347650:
     - Add quilt as Build-Depends, and to debian/rules.
     - Add 10_workaround_libtool_link_as_needed_bug to workaround libtool
       bug.
     - Add a TODO item about that bug, basically “keep an eye on it in
       case it ever gets fixed”.
  * Since that might break things sometimes, add “-Wl,-z,defs” before
    “-Wl,--as-needed”, so as to catch undefined references as early as
    possible in the build process. That done, it appears that “-lm” is
    missing, thus: add “LIBS="-lm"” on the ./configure line.
  * Remove debian/*.dirs files, since they aren't needed.
  * Clear the rpath set on some architectures (e.g. amd64) instead of
    relibtoolizing (at least at the moment):
     - Add chrpath to Build-Depends.
     - Add “chrpath -d” calls on debian/tmp/usr/{bin/*,lib/*.so} after
       the “make install” call.
     - Add a TODO item about that.
  * Switch from plain debhelper to cdbs. The build is conventional enough
    to drop lengthy makefiles in favour of shorter ones:
     - Add cdbs to Build-Depends.
     - Add autotools-dev as well, to get config.{guess,sub} updated during
       the build.
     - Use only some includes and variables in debian/rules, but keep the
       additional get-orig-source target.
     - Drop debian/libpano13-0.docs, cdbs is smart enough to install those
       files.
     - A single trick is needed: dh_install is called for each binary
       when using debhelper.mk, which makes the use of “--*-missing” a
       bit tricky. That's why a hook between “make install” and “dh_*”
       is needed, removing the RPATH's as well running dh_install with
       one of the “--*-missing” option. This is cdbs's #461368.
  * Ship all binaries, using a wildcard in debian/libpano13-bin.install.
  * Update the long description of libpano13-bin accordingly, listing all
    binaries along with an oneliner description for each.
  * Write manpages for all binaries, in the perlpod format. Generate them
    using pod2man at build-time. Ship them through libpano13.manpages, by
    using a wildcard.
  * Get rid of strange (strictly-versioned) interdependencies, leading to
    a dependency loop:
     - Remove “Suggests: libpano13-dev” from libpano13-0.
     - Downgrade “Recommends: libpano13-bin” to a “Suggests:”, still in
       libpano13-0.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 24 Jan 2008 23:37:28 +0100
